import QtQuick 1.1

// Button
// ------
// A button, used by the MessageBox element.

BorderImage {

    // Properties and signals

    property bool selected: false
    property alias text: label.text

    signal clicked

    // Property values
    id: button
    border { left: 5; top: 5; right: 5; bottom: 5 }
    source: "../images/Btn_PopUpBig_1-3_" + (mouseArea.pressed ? "Down.png" : selected ? "Sel.png" : "Def.png")

    // The text label
    Text {
        id: label
        anchors.centerIn: parent
        font.family: fonts.family
        font.pixelSize: fonts.smallSize
        color: selected ? colors.textFocused : colors.textNormal
    }

    // Touch handling

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            selected = true
            button.clicked()
        }
    }
}
