import QtQuick 1.1
import se.flir 1.0

/**
 * This page shows the global Message box, which is a normal MessageBox but there is one C++ object
 * that drives it, allowing users to show a box from C++.
 */


MessageBox {
    title: qsTrId(messageboxHandler.title) + translation.update
    text: qsTrId(messageboxHandler.body) + translation.update
    iconStyle: "../images/" + messageboxHandler.icon + "_Sel.png"
    //liveBackground: true
    focus: messageboxHandler.showing
    visible: messageboxHandler.showing
    okButtontext: qsTrId(messageboxHandler.okButtonText) + translation.update
    cancelButtonText: qsTrId(messageboxHandler.cancelButtonText) + translation.update
    midButtontext: qsTrId(messageboxHandler.midButtonText) + translation.update
    opacity: 1

    onVisibleChanged: if (visible) show(); else hide()

    onCancelSelected: messageboxHandler.closeMessageBox(MessageBoxHandler.Cancel);
    onOkSelected: messageboxHandler.closeMessageBox(MessageBoxHandler.Ok);
    onMidSelected: messageboxHandler.closeMessageBox(MessageBoxHandler.Mid);

    hasButtons: messageboxHandler.hasButtons
}
