import QtQuick 1.1
import se.flir 1.0
import System 1.0

// MeasureTools
// ------------
// Manages the Spots, boxes etc.

Item {
    // Property values
    id: measureTools
    visible: cameraHasStaticFocus || greenbox.system.viewMode !== System.VIEW_MODE_VISUAL
    MouseArea {
        enabled: measureFuncs.hasSelection
        anchors.fill: parent
        onClicked: {
            menus.closeMenu()
            measureFuncs.unselectAll();
        }
    }

    // Repeater that creates and destroys spots and boxes according to model
    Repeater {
        model: measureFuncs
        Loader {
            source: type === "spot" ? "Spot.qml" :
                type === "box" ? "Box.qml" : "Diff.qml"
        }
    }

    Connections {   // Set our menus when we are active
        target: measureFuncs
        onSelectionChanged: {
            if (measureFuncs.hasSelection) {
                menus.activeMenu = Menus.MeasurementMenu
            }
        }
    }

    function sendEnterMFuncEditRequest(type, resIndex)
    {
        measureFuncs.setSelected(true, type, resIndex)
        measurements.setSelected(type, resIndex);
    }

    Keys.onReleased: {
        if (event.key === keys.back && measureFuncs.hasSelection) {
            measureFuncs.unselectAll();
            event.accepted = true
        }
    }
}
