import QtQuick 1.1

Item {
    property bool isUpArrow: true
    signal triggered()
    height: (grid.cellHeight + grid.verticalSpacing) * 4 / 5
    width: grid.cellWidth + grid.horizontalSpacing * 2

    Image {
        visible: upArrowMouseArea.pressed
        anchors.horizontalCenter: parent.horizontalCenter
        y: -grid.horizontalSpacing * 2  // TODO why does the image add this blank space??
        source: "../images/Bg_MenuHorizontalMain_Marker_Foc.png"
    }

    Image {
        id: upArrow
        anchors.horizontalCenter: parent.horizontalCenter
        source: "../images/Ic_List_Arrow" + (parent.isUpArrow ? "Up" : "Down") + "_Sel.png"
    }

    MouseArea {
        id: upArrowMouseArea
        width: parent.width
        height: grid.cellHeight + grid.verticalSpacing
        y: parent.isUpArrow ? 0 : parent.height - height
        onPressed: upArrowTapRepeat.start()
        onReleased: upArrowTapRepeat.stop()
    }

    Timer {
        id: upArrowTapRepeat
        interval: 100
        repeat: true
        triggeredOnStart: true
        onTriggered: parent.triggered()
    }
}

