import QtQuick 1.1

Item {
    id: footer
    property alias text: textIdText.text
    property alias icon: iconImage.source
    width: grid.width
    height: grid.cellHeight + grid.bottomMargin

    BorderImage {
        id: lineImage
        source: "../images/Bg_DialoguePopUp_Line_Def.png"
        border { left: 50; top: 0; right: 50; bottom: 0 }
        anchors.left: parent.left
        anchors.leftMargin: grid.horizontalSpacing
        width: parent.width + grid.unit*8 - 2* grid.horizontalSpacing
        anchors.bottom: footer.top
    }

    Row {
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        spacing: grid.unit * 3

        visible: parent.text !== ""

        Item { // spacer
            width: 1
            height: 1
        }

        Image {
            id: iconImage
            source: "../images/Ic_GlobalDialogue_Info_Sel.png"
            anchors.verticalCenter: parent.verticalCenter
        }

        Text {
            id: textIdText
            anchors.verticalCenter: parent.verticalCenter

            width: footer.width - iconImage.width - grid.unit * 8
            color: colors.textNormal
            font.pixelSize: fonts.smallSize
            font.family: fonts.family
            wrapMode: Text.Wrap
        }
    }
}
