import QtQuick 1.1
import se.flir 1.0

Item {
    height: grid.cellHeight + grid.verticalSpacing
    id: pageRoot

    MouseArea {
        anchors.fill: parent
        onClicked: settingsRoot.itemTriggered(index)
    }

    Row {
        height: parent.height
        x: grid.leftMargin + grid.horizontalSpacing * 3
        Image {
            id: iconImage
            anchors.verticalCenter: parent.verticalCenter
            visible: modelData.icon !== ""
            source: visible ?  "../images/" + modelData.icon + (pageRoot.ListView.isCurrentItem ? "_Sel" : "_Def") + ".png" : ""
        }

        Item {
            width: grid.horizontalSpacing * (iconImage.visible ? 1 : 2)
            height: 1
        }

        Text {
            id: settingTextItem
            anchors.verticalCenter: parent.verticalCenter
            color: modelData.enabled ? (pageRoot.ListView.isCurrentItem ? colors.textFocused : colors.textNormal) : colors.textDisabled
            font.pixelSize: fonts.smallSize
            font.family: fonts.family
            text: qsTrId(modelData.title)
        }
    }

    Row {
        height: parent.height
        anchors.right: parent.right
        anchors.rightMargin: grid.horizontalSpacing

        Text {
            id: valueTextItem
            anchors.verticalCenter: parent.verticalCenter
            color: pageRoot.ListView.isCurrentItem ? colors.textNormal : colors.textDisabled
            font.pixelSize: fonts.smallSize
            font.family: fonts.family
            text: {
                var arg = modelData.hintTextArgument
                if (arg === "")
                    return qsTrId(modelData.hintText)
                return qsTrId(modelData.hintText).arg(arg)
            }
        }

        Image {
            id: arrowImage
            anchors.verticalCenter: parent.verticalCenter
            source: modelData.hasSubmenu ? "../images/Ic_List_ArrowRight" + (pageRoot.ListView.isCurrentItem ? "_Sel.png" : "_Def.png") : ""
            width: grid.iconWidth
            height: grid.iconHeight
        }
    }

    Image {
        visible: modelData.showCheckIndicator
        anchors.right: parent.right
        anchors.rightMargin: grid.unit * 3
        anchors.verticalCenter: parent.verticalCenter
        source: "../images/Ic_ListChoice_CheckBox" +
                    (modelData.checked ? "Checked" : "") +
                    (pageRoot.ListView.isCurrentItem ? "_Sel.png" : "_Def.png")
        MouseArea {
            anchors.fill: parent
            enabled: modelData.enabled
            onClicked: settings.triggerIndex(index)
        }
    }
}
