import QtQuick 1.1
import se.flir 1.0

Item {
    // we have 5 items in 4 grid-cells, adjust our height to that
    height: (grid.cellHeight + grid.verticalSpacing) * 4 / 5

    id: pageRoot

    MouseArea {
        anchors.fill: parent
        onClicked: settingsRoot.itemTriggered(index)
    }

    Text {
        x: grid.cellWidth + grid.horizontalSpacing
        anchors.verticalCenter: parent.verticalCenter
        text: qsTrId(modelData.title)
        color: parent.ListView.isCurrentItem ? colors.textFocused : colors.textNormal
        font.pixelSize: fonts.smallSize
        font.family: fonts.family
    }

    Text {
        anchors.right: parent.right
        anchors.rightMargin: grid.cellWidth + grid.horizontalSpacing
        anchors.verticalCenter: parent.verticalCenter
        text: modelData.hintText
        color: parent.ListView.isCurrentItem ? colors.textFocused : colors.textNormal
        font.pixelSize: fonts.smallSize
        font.family: fonts.family
    }
}
