import QtQuick 1.1
import se.flir 1.0

Item {
    id: pageRoot
    height: grid.cellHeight + grid.verticalSpacing

    MouseArea {
        anchors.fill: parent
        onClicked: settingsRoot.itemTriggered(index)
    }
    Text {
        id: settingTextItem
        anchors.verticalCenter: parent.verticalCenter
        x: grid.horizontalSpacing * 5

        color: parent.ListView.isCurrentItem ? colors.textFocused : colors.textNormal
        font.pixelSize: fonts.smallSize
        font.family: fonts.family
        text: qsTrId(modelData.title)
    }

    Row {
        height: parent.height
        anchors.right: parent.right
        anchors.rightMargin: grid.horizontalSpacing * 3

        Text {
            id: valueTextItem
            anchors.verticalCenter: parent.verticalCenter
            color: pageRoot.ListView.isCurrentItem ? colors.textNormal : colors.textDisabled
            font.pixelSize: fonts.smallSize
            font.family: fonts.family
            text: {
                var arg = modelData.hintTextArgument
                if (arg === "")
                    return modelData.hintText
                return qsTrId(modelData.hintText).arg(arg)
            }
        }

        Image {
            visible: modelData.showCheckIndicator
            anchors.verticalCenter: parent.verticalCenter
            source: "../images/Ic_ListChoice_RadioButton" +
                        (modelData.checked ? "Checked" : "") +
                        (pageRoot.ListView.isCurrentItem ? "_Sel.png" : "_Def.png")
        }
    }
}
