import QtQuick 1.1
import se.flir 1.0

/// A delegate for the BaseSettingsPage, matching the RadioValuesDelegate
/// A QStringList based delegate showing radio buttons.

Item {
    id: pageRoot
    height: grid.cellHeight + grid.verticalSpacing

    MouseArea {
        anchors.fill: parent
        onClicked: settingsRoot.itemTriggered(index)
    }

    Text {
        id: settingTextItem
        anchors.verticalCenter: parent.verticalCenter
        x: grid.horizontalSpacing * 5

        color: parent.ListView.isCurrentItem ? colors.textFocused : colors.textNormal
        font.pixelSize: fonts.smallSize
        font.family: fonts.family
        text: modelData
    }

    Image {
        property bool showChecked: modelData === qsTrId(settings.parentPageModel.hintText)
        anchors.right: parent.right
        anchors.rightMargin: grid.horizontalSpacing * 3
        anchors.verticalCenter: parent.verticalCenter
        source: "../images/Ic_ListChoice_RadioButton" +
                    (showChecked ? "Checked" : "") +
                    (pageRoot.ListView.isCurrentItem ? "_Sel.png" : "_Def.png")
    }
}
