import QtQuick 1.1
import se.flir 1.0

Item {
    anchors.fill: parent

    function showActionIndicator(action) {
        if(action === "play")
            actionIndicatorImage.source = "../images/Sc_Status_VideoPlay_Def.png";
        else if(action === "pause")
            actionIndicatorImage.source = "../images/Sc_Status_VideoPause_Def.png";
    }

    VideoElement{
        signal hideArchive

        id:videoPlaybackElement
        objectName: "videoPlaybackElement"

        width: parent.width
        height: parent.height

        Keys.onPressed: {
            if(event.key === keys.select)
            {
                toggleVideoPlayback()
            }
            event.accepted = true
        }

        Keys.onReleased: {
            if (event.key === keys.back || event.key === keys.onOff) {
                view = ArchiveHandler.ImageSelector
                exitVideoPlayback()
            }
            else if(event.key === keys.archive)
            {
                view = ArchiveHandler.ImageSelector
                exitVideoPlayback()
                hideArchive()
            }
            event.accepted = true
        }
    }

    BorderImage {
        id: backgroundImage

        y: grid.topMargin + grid.verticalSpacing
        anchors.horizontalCenter: parent.horizontalCenter
        width: elapsedTimeText.width + actionIndicatorImage.width + 6
        height: grid.resultTableRowHeight + 1 // Needs +1 to entirely hide the recording status bar, not sure why, perhaps an encoding artefact(?)
        border { left: grid.unit; top: grid.unit; right: grid.unit; bottom: grid.unit }
        source: "../images/Bg_Notification_Bar_Def.png"

        Image{
            id: actionIndicatorImage
            anchors.left: parent.left
            anchors.leftMargin: 2
            anchors.verticalCenter: parent.verticalCenter
            source: "" // Set by showActionIndicator()
        }

        Text{
            id: elapsedTimeText
            anchors.right: parent.right
            anchors.rightMargin: 3
            anchors.verticalCenter: parent.verticalCenter
            font.family: fonts.family
            font.pixelSize: fonts.smallSize
            color: colors.textNormal

            text: videoCurrentTime + " / " + videoTotalTime
        }
    }

    MouseArea{
        anchors.fill: parent
        onReleased: toggleVideoPlayback()
    }
}
