import QtQuick 1.1

/**
 * This is a glue page.
 * The wifi page is part of the settings framework, but didn't fully fit as such we created
 * a WirelessSettingsPage.qml,  which was a bit of a hack.
 * Now we have a new settings framework we likely want to port the wifi UI over to it, but
 * in the mean time this page bridges the 3 technologies.
 */
Item {
    property variant model: null
    signal hideSignal

    function show() {
        wirelessSettingsPage.show()
    }
    onModelChanged: {
        if (model) {
            wirelessSettingsPage.model = model.nextModelObject()
            wirelessSettingsPage.currentIndex = model.nextModelObject().currentIndex
            wirelessSettingsPage.name = qsTrId(model.title)
            wirelessSettingsPage.previous = null
            wirelessSettingsPage.basePage = false
            model.nextModelObject().isNowActive(true)
        }
    }

    SettingsPage {
        width: parent.width
        height: parent.height
        id: wirelessSettingsPage
        onHideSignal: parent.hideSignal()

        internalDelegate: WirelessSettingsDelegate {
            onClicked: {
                wirelessSettingsPage.invokeCurrent("")
            }
        }
    }
}
